
Foreman - Feature #16371

User defined text on the login page footer

08/29/2016 03:54 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Bryan Kearney   

Category: Web Interface   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 726570 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3790

  

Description

Customer would like a means of adding text onto the login page. The text could be based off of:

1) Many foreman instances, would like to denote one from another

2) Message of the day type logic

Related issues:

Has duplicate Foreman - Feature #14029: Add a setting for login screen message Duplicate 03/02/2016

Associated revisions

Revision 17e1fe93 - 09/01/2016 03:06 AM - Bryan Kearney

Fixes #16371 - Add support for login page dynamic text

Adds a new general setting called login_text. If this

is set to a value, then the text is shown under the product

and version information on the login page.

History

#1 - 08/29/2016 03:55 PM - Bryan Kearney

- Bugzilla link set to 726570

#2 - 08/29/2016 04:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bryan Kearney

- Pull request https://github.com/theforeman/foreman/pull/3790 added

#3 - 09/01/2016 02:59 AM - Lukas Zapletal

- Subject changed from User defined text on the login page  to User defined text on the login page footer

Just to be clear - this is not the login banner, we would like to implement that in the future as well.

#4 - 09/01/2016 04:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 17e1fe93bfe4775da3be8511bb3f539521144b07.

#5 - 09/01/2016 04:09 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#6 - 10/27/2016 09:17 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/17e1fe93bfe4775da3be8511bb3f539521144b07


- Has duplicate Feature #14029: Add a setting for login screen message added
